#pragma once
#include "afxwin.h"


// CSetValidChannelDlg dialog

class CSetValidChannelDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CSetValidChannelDlg)

	CComPtr<IKsPropertySet> m_pPropSet[MAX_SOURCE_DEVICE];
	CWnd* m_pParent;

public:
	CSetValidChannelDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSetValidChannelDlg();

// Dialog Data
	enum { IDD = IDD_SET_VALID_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnSet();
	afx_msg void OnCbnSelchangeCboDeviceList();
	CComboBox m_cboDeviceList;
	virtual BOOL OnInitDialog();
	ULONG GetChannelStatus(int iDevice);
	bool SetChannelStatus(int iDevice, ULONG uValidChannel);
	BOOL m_bEnableCH[MAX_VIDEO_PER_DEVICE];
};
