#include "StdAfx.h"
#include "Sample.h"
#include "SampleDlg.h"
#include "VideoWin.h"


CVideoWin::CVideoWin(int i)
	: m_iWinIndex(i)
	, m_pVideoProp(NULL)
{
}


CVideoWin::~CVideoWin(void)
{
	m_pVideoProp = NULL;
}

BEGIN_MESSAGE_MAP(CVideoWin, CWnd)
	ON_WM_SIZE()
	ON_WM_LBUTTONDBLCLK()
END_MESSAGE_MAP()


BOOL CVideoWin::Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext)
{
	// TODO: Add your specialized code here and/or call the base class

	return CWnd::Create(lpszClassName, lpszWindowName, dwStyle, rect, pParentWnd, nID, pContext);
}

void CVideoWin::OnSize(UINT nType, int cx, int cy)
{
	CWnd::OnSize(nType, cx, cy);

	// TODO: Add your message handler code here

	if (m_pVideoProp)
	{
		HRESULT hr = m_pVideoProp->SetWindowPosition(0, 0, cx, cy);
	}
}


void CVideoWin::OnLButtonDblClk(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	
	this->GetParent()->PostMessage(WM_FULLSCREEN, m_iWinIndex, 0);

	CWnd::OnLButtonDblClk(nFlags, point);
}

void CVideoWin::SetVideoProp(CComPtr<IVideoWindow> pVideoProp)
{
	m_pVideoProp = pVideoProp;
}