#include <ks.h>

typedef enum { Off, On } State;
typedef enum { WDT_START, WDT_CLEAR,  WDT_STOP} WDT_STATUS;


// {0241C45A-D8FC-4FD4-852D-9E9AFE0C9CF5}
static const GUID PROPERTYSETID_CUSTOM =
{ 0x241c45a, 0xd8fc, 0x4fd4, { 0x85, 0x2d, 0x9e, 0x9a, 0xfe, 0xc, 0x9c, 0xf5 } };

typedef enum {
	KSPROPERTY_CUSTOM_INIT_GPIO,
	KSPROPERTY_CUSTOM_GPIO,
	KSPROPERTY_READ_PIC_ID,
	KSPROPERTY_SET_WDT,
	KSPROPERTY_VALID_VIDEO_CHANNEL,	 
	KSPROPERTY_DELTERLACE,

} KSPROPERTY_CUSTOM_PROPERTY;

// Custom Control I/O Control data structure.
typedef struct {
	KSPROPERTY         Property;

	WORD wGpioData;
	BYTE byWDTAction;
	BYTE byPicId;
	ULONG ulValidVideoChannel;
	ULONG uValue;
} TECHWELL_CUSTOM_CONTROL_S, *PTECHWELL_CUSTOM_CONTROL_S;